### Function Macro

# GObject assert_finalize_object

since: 2.62

#### Declaration [src]

    #define g_assert_finalize_object (
      object
    )

#### Description [src]

Assert that `object` is non-`NULL`, then release one reference to it with `g_object_unref()` and assert that it has been finalized (i.e. that there are no more references).

If assertions are disabled via `G_DISABLE_ASSERT`, this macro just calls `g_object_unref()` without any further checks.

This macro should only be used in regression tests.

Available since: 2.62

This function is not directly available to language bindings.

#### Parameters

`object`

  Type: `-`

  An object.